### Method

# RB StreamingSource set_streaming_artist

#### Declaration [src]

    void
    rb_streaming_source_set_streaming_artist (
      RBStreamingSource* source,
      const char* artist
    )

#### Description [src]

Updates the streaming song artist name. Call this when an updated streaming song artist name is received from the stream.

#### Parameters

`artist`

  Type: `const char*`

  The new streaming song artist name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.